#let chunk(content) = {
  stack(
    spacing: 1.5em,
    ..content
  )
}

#let list(content) = {
  stack(
    spacing: 0.75em,
    ..content
  )
}

#let divider = {
  pad(y: 0.5em)[
    #align(center, line(length: 100%, stroke: 0.25pt))
  ]
}

#let job(
  company: "",
  title: "",
  dates: "",
  location: "",
  details: ()
) = {
  block(spacing: 0.75em)[
    #stack(
      spacing: 0.75em,
      [
        #text(weight: "bold")[#company, #location] #h(0.5em)
        #text(style: "italic")[— #title]
      ],
      [#dates],
      [
        #pad(left: 1.5em)[
          #list(details.map(detail => [• #detail]))
        ]
      ]
    )
  ]
}

#let edu(
  institute: "",
  cert: "",
  year: ""
) = {
  block(spacing: 0.75em)[
    #text(weight: "bold")[#institute] #h(0.5em)
    #text(style: "italic")[— #cert, #year]
  ]
}
